<%--
 =================================================================
  Licensed Materials - Property of IBM

  WebSphere Commerce

  (C) Copyright IBM Corp. 2011 All Rights Reserved.

  US Government Users Restricted Rights - Use, duplication or
  disclosure restricted by GSA ADP Schedule Contract with
  IBM Corp.
 =================================================================
--%>

<!-- BEGIN CachedFooterDisplay.jsp -->
<%@ include file="../../../include/JSTLEnvironmentSetup.jspf" %>
<%@ include file="../../../include/ErrorMessageSetup.jspf" %>

<div class="pageFooter" data-dojo-type="wc.mobile.PlainHeading" fixed="bottom">
	<div class="pageFooterRow1">

		<wcf:url var="LogOffURL" value="Logoff">
			<wcf:param name="catalogId" value="${catalogId}" />
			<wcf:param name="storeId" value="${storeId}" />
			<wcf:param name="langId" value="${param.langId}" />
			<wcf:param name="URL" value="tTopCategoriesDisplayView" />
		</wcf:url>

		<wcf:url var="MyAccountURL" value="tMyAccountView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<wcf:url var="WishListURL" value="tMyAccountView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
			<wcf:param name="detailViewIndex" value="4" />
		</wcf:url>
		
		<wcf:url var="TermsURL" patternName="TabletPrivacyURL" value="tPrivacyView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<wcf:url var="HelpURL" patternName="TabletHelpURL" value="tHelpView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<wcf:url var="SettingsURL" value="tSettingsView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<wcf:url var="EFlyerDisplayURL" value="tEFlyerDisplayView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<c:choose>
			<c:when test="${userType eq 'G'}">
				<a href="javascript:void(0);" onclick="Common.openLoginDialog();"><fmt:message key="Footer_Sign_In" bundle="${storeText}"/></a>
				<a href="javascript:void(0);" onclick="Common.openLoginDialog();"><fmt:message key="Footer_My_Account" bundle="${storeText}"/></a>
				<a href="javascript:void(0);" onclick="Common.openLoginDialog();"><fmt:message key="Footer_Wish_List" bundle="${storeText}"/></a>
			</c:when>
			<c:otherwise>
				<a href="javascript:Common.goToURL('${LogOffURL}');"><fmt:message key="Footer_Sign_Out" bundle="${storeText}"/></a>
				<a href="javascript:Common.goToURL('${MyAccountURL}');"><fmt:message key="Footer_My_Account" bundle="${storeText}"/></a>
				<a href="javascript:Common.goToURL('${WishListURL}');"><fmt:message key="Footer_Wish_List" bundle="${storeText}"/></a>
				

			</c:otherwise>
		</c:choose>
		
		<wcf:url var="ProductCompareURL" value="tProductCompareResultView">
			<wcf:param name="storeId" value="${storeId}"/>
			<wcf:param name="catalogId" value="${catalogId}"/>
			<wcf:param name="langId" value="${param.langId}"/>
		</wcf:url>

		<c:set var="wcProductCompareIds" value="${cookie.WC_TabletProductCompare.value}" />
		<c:set var="wcProductCompareIds" value="${fn:replace(wcProductCompareIds, '%2C', ',')}" scope="page" />

		<c:forTokens items="${wcProductCompareIds}" delims="," var="productId">
			<c:set var="catalogEntryIds" value="${catalogEntryIds}&catentryId=${productId}" />
		</c:forTokens>

		<flow:ifEnabled feature="LocationBasedServices">
			<a href="${fn:escapeXml(EFlyerDisplayURL)}"><fmt:message key="Footer_EFlyer" bundle="${storeText}"/></a>
		</flow:ifEnabled>
		<flow:ifDisabled feature="LocationBasedServices">
			<a href="javascript:Common.goToURL('${ProductCompareURL}${catalogEntryIds}');"><fmt:message key="Footer_Compare" bundle="${storeText}"/></a>
		</flow:ifDisabled>

	</div>
	<div class="pageFooterRow2">
		<flow:ifEnabled feature="LocationBasedServices">
			<a href="javascript:Common.goToURL('${ProductCompareURL}${catalogEntryIds}');"><fmt:message key="Footer_Compare" bundle="${storeText}"/></a> |
		</flow:ifEnabled>
		<a href="javascript:Common.goToURL('${HelpURL}');"><fmt:message key="Footer_Help" bundle="${storeText}"/></a>
		| <a href="javascript:Common.goToURL('${SettingsURL}');"><fmt:message key="Footer_Settings" bundle="${storeText}"/></a>
		| <a href="TopCategories1_${storeId}_${catalogId}_${param.langId}"><fmt:message key="Footer_Full_Site" bundle="${storeText}"/></a>
		| <a href="javascript:Common.goToURL('${TermsURL}');"><fmt:message key="Footer_Terms" bundle="${storeText}"/></a>
<flow:ifEnabled feature="FacebookIntegration">
		| <a href="javascript:void(0);" onclick="javascript:fbIntegrationJS.onClickFacebookLogin();return false;" id="FooterFBlogin" style="display:none"><fmt:message key="HEADER_CONNECT_TO_FACEBOOK" bundle="${storeText}" /></a>
		  <a href="javascript:void(0);" onclick="javascript:fbIntegrationJS.onClickFacebookLogout();return false;" id="FooterFBlogoff" style="display:none"><fmt:message key="HEADER_DISCONNECT_FROM_FACEBOOK" bundle="${storeText}" /></a>
</flow:ifEnabled>	
	</div>
</div>

<%@ include file="../../../Snippets/Catalog/CategoryDisplay/ProductsPopup.jspf" %>
<%@ include file="../../../Snippets/Search/SearchPopup.jspf" %>
<%@ include file="../../../Snippets/StoreLocator/StoresPopup.jspf" %>
<%@ include file="../../../Snippets/StoreLocator/StoreDetailsDialog.jspf" %>
<%@ include file="../../../Snippets/ReusableObjects/AlertDialog.jspf" %>
<%@ include file="../../../Snippets/ReusableObjects/CatalogEntryQuickViewDialog.jspf" %>
<%@ include file="../../../Snippets/ReusableObjects/CommunicationErrorDialog.jspf" %>
<%@ include file="../../../UserArea/AccountSection/LogonSubsection/LogonDialog.jspf" %>
<%@ include file="../../../UserArea/AccountSection/LogonSubsection/RegistrationDialog.jspf" %>
<%@ include file="../../../UserArea/AccountSection/LogonSubsection/ForgotPasswordDialog.jspf" %>

<!-- END CachedFooterDisplay.jsp -->
